Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://prod.featherhq.com/api/v1/tools \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "structure": { "url": "<string>", "variables": [ { "name": "<string>", "description": "<string>", "required": false } ], "method": "GET", "headers": [], "body": {}, "timeout": 30 }, "slug": "<string>", "speech": "<string>" } '
{ "tool": { "id": "<string>", "name": "<string>", "description": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "structure": { "url": "<string>", "variables": [ { "name": "<string>", "description": "<string>", "required": false } ], "method": "GET", "headers": [], "body": {}, "timeout": 30 }, "speech": "<string>", "slug": "<string>" } }
Create a new tool
Show child attributes
^[a-z0-9_]+$
New tool created successfully